/* -*- Mode: C; c-file-style: "bsd"; -*- */

/* Integer Real relation */

#include <math.h>

#include "variable.h"
#include "matrix.h"
#include "tree.h"
#include "op_bindings.h"
#include "types_misc.h"

#define BIND_SYM_FULL(simp,op)    nxp_bind_operator_function(op,                    \
							      NXP_ELEMENT_TYPE_MATRIX,    \
							      NXP_ELEMENT_TYPE_VARIABLE,       \
							      NULL, simp,                \
							      NXP_OP_BIND_SYMMETRIC, \
							      NULL);


static NxpElement* mult(NxpOp op, NxpElement *a, NxpElement *b, 
			NxpEvalContext *context, GError **error) {
    NxpElementMatrix *result;
    NxpElement *el, *tree;
    gint i,j;

    g_return_val_if_fail(NXP_ELEMENT_MATRIX(a), NULL);
    g_return_val_if_fail(b, NULL);
    
    result = NXP_ELEMENT_MATRIX(nxp_element_matrix_new(NXP_ELEMENT_MATRIX(a)->width,
						       NXP_ELEMENT_MATRIX(a)->height,
						       NULL));

    for (i = 0; i < NXP_ELEMENT_MATRIX(a)->width; i++)
	for (j = 0; j < NXP_ELEMENT_MATRIX(a)->height; j++)
	{
	    tree = elem_TIMES(_element_matrix_get(NXP_ELEMENT_MATRIX(a), j,i),
			      NXP_ELEMENT_REF(b));
	    el = nxp_element_simplify(tree, context, NULL);

	    NXP_ELEMENT_UNREF(tree);
	    _element_matrix_index(result, j, i) = el;
	}
    return NXP_ELEMENT(result);
}

void nxp_element_variable_matrix_init(GError **error)
{

    BIND_SYM_FULL(mult, NXP_OP_STAR);
    //NXP_OP_PLUS
    //NXP_OP_MINUS_LEFT
    //NXP_OP_MINUS
    //NXP_OP_SLASH
    //NXP_OP_HAT
    //NXP_OP_DOT3
    //NXP_OP_PLUS2_LEFT
    //NXP_OP_MINUS2_LEFT
    //NXP_OP_PLUS2_RIGHT
    //NXP_OP_MINUS2_RIGHT
    //NXP_OP_GT
    //NXP_OP_LT
    //NXP_OP_GE_EQ
    //NXP_OP_LT_EQ
    //NXP_OP_EQ2
    //NXP_OP_ExCL_EQ
    //NXP_OP_SLASH_BSLASH
    //NXP_OP_BSLASH_SLASH
    //NXP_TILDE_LEFT
    //NXP_EXCL_RIGHT
    //NXP_OP_EQ
    //NXP_OP_COLON_EQ
}





