/* -*- c -*- */
#include <gsl/gsl_math.h>

#include "nxp_kernel.h"
#include "gsl.h"

static NxpElement *nxp_gsl_log1p(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_log1p(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_hypot(NxpElementReal *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_hypot(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *
nxp_gsl_basics_sign_real(NxpElementReal * e, ETC)
{
    GSL_RETURN(nxp_element_int_new(GSL_SIGN(nxp_element_r_get_value_as_double(e))));
}

static NxpElement *
nxp_gsl_basics_is_odd(NxpElementInt * e, ETC)
{
    GSL_RETURN(nxp_element_int_new(GSL_IS_ODD(nxp_element_int_get_si(e, error))));
}

static NxpElement *
nxp_gsl_basics_is_even(NxpElementInt * e, ETC)
{
    GSL_RETURN(nxp_element_int_new(GSL_IS_EVEN(nxp_element_int_get_si(e, error))));
}

static NxpElement *
nxp_gsl_basics_max(NxpElementReal * a, NxpElementReal * b, ETC)
{
    GSL_RETURN(nxp_element_real_new(GSL_MAX(nxp_element_r_get_value_as_double(a), nxp_element_r_get_value_as_double(b))));
}

static NxpElement *
nxp_gsl_basics_min(NxpElementReal * a, NxpElementReal * b, ETC)
{
    GSL_RETURN(nxp_element_real_new(GSL_MIN(nxp_element_r_get_value_as_double(a), nxp_element_r_get_value_as_double(b))));
}


void
nxp_gsl_basics_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd, "gsl");
id = NXP_ID_2("gsl", "ln1p");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_log1p, NULL, nxp_gsl_log1p, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "hypot");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_hypot, NULL, nxp_gsl_hypot, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "sign");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_basics_sign_real, NULL, nxp_gsl_basics_sign_real, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "odd");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_basics_is_odd, NULL, nxp_gsl_basics_is_odd, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "even");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_basics_is_even, NULL, nxp_gsl_basics_is_even, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "max");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_basics_max, NULL, nxp_gsl_basics_max, context, NULL); nxp_identifier_unref(id);
id = NXP_ID_2("gsl", "min");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_basics_min, NULL, nxp_gsl_basics_min, context, NULL); nxp_identifier_unref(id);
}
