/* -*- c -*- */
#include <gsl/gsl_const_mksa.h>
#include <gsl/gsl_const_num.h>
#include "nxp_kernel.h"

void
nxp_gsl_physical_init(NxpEvalContext * context)
{
    NxpIdentifier  *ident;
    NxpElement     *el;

nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"physic");


/**** #VARIABLE speedOfLight 		= GSL_CONST_MKSA_SPEED_OF_LIGHT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "speedOfLight");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_SPEED_OF_LIGHT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE vacuumPermeability    = GSL_CONST_MKSA_VACUUM_PERMEABILITY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "vacuumPermeability");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_VACUUM_PERMEABILITY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE vacuumPermittivity    = GSL_CONST_MKSA_VACUUM_PERMITTIVITY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "vacuumPermittivity");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_VACUUM_PERMITTIVITY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE numAvogadro 		= GSL_CONST_NUM_AVOGADRO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "numAvogadro");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_AVOGADRO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE faraday 		= GSL_CONST_MKSA_FARADAY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "faraday");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_FARADAY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE boltzmann 		= GSL_CONST_MKSA_BOLTZMANN */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "boltzmann");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BOLTZMANN), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE molarGas 		= GSL_CONST_MKSA_MOLAR_GAS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "molarGas");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MOLAR_GAS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE standardGasVolume 	= GSL_CONST_MKSA_STANDARD_GAS_VOLUME */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "standardGasVolume");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_STANDARD_GAS_VOLUME), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE gauss 		= GSL_CONST_MKSA_GAUSS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "gauss");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_GAUSS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE micron 		= GSL_CONST_MKSA_MICRON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "micron");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MICRON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE hectare 		= GSL_CONST_MKSA_HECTARE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "hectare");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_HECTARE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE milesPerHour 		= GSL_CONST_MKSA_MILES_PER_HOUR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "milesPerHour");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MILES_PER_HOUR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE kilometersPerHour 	= GSL_CONST_MKSA_KILOMETERS_PER_HOUR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "kilometersPerHour");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_KILOMETERS_PER_HOUR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE astronomicalUnit 		= GSL_CONST_MKSA_ASTRONOMICAL_UNIT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "astronomicalUnit");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ASTRONOMICAL_UNIT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE gravitationalConstant 	= GSL_CONST_MKSA_GRAVITATIONAL_CONSTANT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "gravitationalConstant");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_GRAVITATIONAL_CONSTANT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE lightYear 			= GSL_CONST_MKSA_LIGHT_YEAR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "lightYear");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_LIGHT_YEAR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE parsec 			= GSL_CONST_MKSA_PARSEC */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "parsec");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_PARSEC), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE gravitationalAcceleration 	= GSL_CONST_MKSA_GRAV_ACCEL */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "gravitationalAcceleration");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_GRAV_ACCEL), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE solarMass 			= GSL_CONST_MKSA_SOLAR_MASS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "solarMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_SOLAR_MASS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE electronCharge 	= GSL_CONST_MKSA_ELECTRON_CHARGE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "electronCharge");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ELECTRON_CHARGE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE electronVolt 		= GSL_CONST_MKSA_ELECTRON_VOLT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "electronVolt");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ELECTRON_VOLT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE unifiedAtomicMass 	= GSL_CONST_MKSA_UNIFIED_ATOMIC_MASS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "unifiedAtomicMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_UNIFIED_ATOMIC_MASS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE electronMass 		= GSL_CONST_MKSA_MASS_ELECTRON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "electronMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MASS_ELECTRON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE muonMass 		= GSL_CONST_MKSA_MASS_MUON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "muonMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MASS_MUON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE protonMass 		= GSL_CONST_MKSA_MASS_PROTON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "protonMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MASS_PROTON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE neutronMass 		= GSL_CONST_MKSA_MASS_NEUTRON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "neutronMass");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MASS_NEUTRON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE fineStructure 	= GSL_CONST_NUM_FINE_STRUCTURE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "fineStructure");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_FINE_STRUCTURE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE rydberg 		= GSL_CONST_MKSA_RYDBERG */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "rydberg");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_RYDBERG), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE bohrRadius            = GSL_CONST_MKSA_BOHR_RADIUS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "bohrRadius");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BOHR_RADIUS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE angstrom 		= GSL_CONST_MKSA_ANGSTROM */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "angstrom");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ANGSTROM), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE barn 			= GSL_CONST_MKSA_BARN */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "barn");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BARN), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE bohrMagneton		= GSL_CONST_MKSA_BOHR_MAGNETON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "bohrMagneton");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BOHR_MAGNETON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE nuclearMagneton       = GSL_CONST_MKSA_NUCLEAR_MAGNETON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "nuclearMagneton");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_NUCLEAR_MAGNETON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE electronMagneticMoment= GSL_CONST_MKSA_ELECTRON_MAGNETIC_MOMENT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "electronMagneticMoment");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ELECTRON_MAGNETIC_MOMENT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE protonMagneticMoment  = GSL_CONST_MKSA_PROTON_MAGNETIC_MOMENT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "protonMagneticMoment");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_PROTON_MAGNETIC_MOMENT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE minute = GSL_CONST_MKSA_MINUTE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "minute");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MINUTE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE hour   = GSL_CONST_MKSA_HOUR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "hour");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_HOUR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE day    = GSL_CONST_MKSA_DAY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "day");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_DAY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE week   = GSL_CONST_MKSA_WEEK */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "week");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_WEEK), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE inch = GSL_CONST_MKSA_INCH */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "inch");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_INCH), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE foot = GSL_CONST_MKSA_FOOT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "foot");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_FOOT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE yard = GSL_CONST_MKSA_YARD */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "yard");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_YARD), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE mile = GSL_CONST_MKSA_MILE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "mile");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MILE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE mil  = GSL_CONST_MKSA_MIL */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "mil");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_MIL), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE nauticalMile = GSL_CONST_MKSA_NAUTICAL_MILE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "nauticalMile");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_NAUTICAL_MILE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE fathom       = GSL_CONST_MKSA_FATHOM */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "fathom");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_FATHOM), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE knot         = GSL_CONST_MKSA_KNOT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "knot");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_KNOT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE point    = GSL_CONST_MKSA_POINT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "point");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_POINT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE TeXPoint = GSL_CONST_MKSA_TEXPOINT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "TeXPoint");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_TEXPOINT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE acre           = GSL_CONST_MKSA_ACRE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "acre");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ACRE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE liter          = GSL_CONST_MKSA_LITER */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "liter");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_LITER), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE usGallon       = GSL_CONST_MKSA_US_GALLON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "usGallon");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_US_GALLON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE canadianGallon = GSL_CONST_MKSA_CANADIAN_GALLON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "canadianGallon");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_CANADIAN_GALLON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE ukGallon       = GSL_CONST_MKSA_UK_GALLON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "ukGallon");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_UK_GALLON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE quart          = GSL_CONST_MKSA_QUART */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "quart");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_QUART), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE pint           = GSL_CONST_MKSA_PINT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "pint");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_PINT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE pound          = GSL_CONST_MKSA_POUND_MASS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "pound");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_POUND_MASS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE ounce          = GSL_CONST_MKSA_OUNCE_MASS */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "ounce");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_OUNCE_MASS), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE ton            = GSL_CONST_MKSA_TON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "ton");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_TON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE metricTon      = GSL_CONST_MKSA_METRIC_TON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "metricTon");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_METRIC_TON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE ukTon          = GSL_CONST_MKSA_UK_TON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "ukTon");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_UK_TON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE troyOunce      = GSL_CONST_MKSA_TROY_OUNCE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "troyOunce");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_TROY_OUNCE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE carat          = GSL_CONST_MKSA_CARAT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "carat");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_CARAT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE gramForce      = GSL_CONST_MKSA_GRAM_FORCE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "gramForce");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_GRAM_FORCE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE poundForce     = GSL_CONST_MKSA_POUND_FORCE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "poundForce");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_POUND_FORCE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE kilopoundForce = GSL_CONST_MKSA_KILOPOUND_FORCE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "kilopoundForce");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_KILOPOUND_FORCE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE poundal        = GSL_CONST_MKSA_POUNDAL */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "poundal");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_POUNDAL), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE calorie    = GSL_CONST_MKSA_CALORIE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "calorie");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_CALORIE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE btu        = GSL_CONST_MKSA_BTU */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "btu");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BTU), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE therm      = GSL_CONST_MKSA_THERM */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "therm");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_THERM), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE horsepower = GSL_CONST_MKSA_HORSEPOWER */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "horsepower");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_HORSEPOWER), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE bar                = GSL_CONST_MKSA_BAR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "bar");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_BAR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE stdAtmosphere      = GSL_CONST_MKSA_STD_ATMOSPHERE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "stdAtmosphere");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_STD_ATMOSPHERE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE torr               = GSL_CONST_MKSA_TORR */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "torr");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_TORR), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE meterOfMercury     = GSL_CONST_MKSA_METER_OF_MERCURY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "meterOfMercury");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_METER_OF_MERCURY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE inchOfMercury      = GSL_CONST_MKSA_INCH_OF_MERCURY */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "inchOfMercury");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_INCH_OF_MERCURY), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE inchOfWater        = GSL_CONST_MKSA_INCH_OF_WATER */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "inchOfWater");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_INCH_OF_WATER), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE poundPerSquareInch = GSL_CONST_MKSA_PSI */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "poundPerSquareInch");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_PSI), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE poise  = GSL_CONST_MKSA_POISE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "poise");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_POISE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE stokes = GSL_CONST_MKSA_STOKES */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "stokes");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_STOKES), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE stilb       = GSL_CONST_MKSA_STILB */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "stilb");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_STILB), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE lumen       = GSL_CONST_MKSA_LUMEN */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "lumen");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_LUMEN), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE lux         = GSL_CONST_MKSA_LUX */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "lux");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_LUX), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE phot        = GSL_CONST_MKSA_PHOT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "phot");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_PHOT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE footcandle  = GSL_CONST_MKSA_FOOTCANDLE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "footcandle");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_FOOTCANDLE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE lambert     = GSL_CONST_MKSA_LAMBERT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "lambert");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_LAMBERT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE footlambert = GSL_CONST_MKSA_FOOTLAMBERT */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "footlambert");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_FOOTLAMBERT), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE curie       = GSL_CONST_MKSA_CURIE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "curie");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_CURIE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE roentgen    = GSL_CONST_MKSA_ROENTGEN */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "roentgen");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ROENTGEN), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE rad         = GSL_CONST_MKSA_RAD */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "rad");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_RAD), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE newton      = GSL_CONST_MKSA_NEWTON */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "newton");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_NEWTON), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE dyne        = GSL_CONST_MKSA_DYNE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "dyne");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_DYNE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE joule       = GSL_CONST_MKSA_JOULE */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "joule");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_JOULE), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE erg         = GSL_CONST_MKSA_ERG */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "erg");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_MKSA_ERG), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);


/**** #VARIABLE yotta       = GSL_CONST_NUM_YOTTA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "yotta");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_YOTTA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE zetta       = GSL_CONST_NUM_ZETTA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "zetta");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_ZETTA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE exa         = GSL_CONST_NUM_EXA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "exa");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_EXA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE peta        = GSL_CONST_NUM_PETA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "peta");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_PETA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE tera        = GSL_CONST_NUM_TERA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "tera");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_TERA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE giga        = GSL_CONST_NUM_GIGA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "giga");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_GIGA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE mega        = GSL_CONST_NUM_MEGA */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "mega");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_MEGA), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE kilo        = GSL_CONST_NUM_KILO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "kilo");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_KILO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE milli       = GSL_CONST_NUM_MILLI */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "milli");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_MILLI), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE micro       = GSL_CONST_NUM_MICRO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "micro");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_MICRO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE nano        = GSL_CONST_NUM_NANO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "nano");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_NANO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE pico        = GSL_CONST_NUM_PICO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "pico");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_PICO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE femto       = GSL_CONST_NUM_FEMTO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "femto");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_FEMTO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE atto        = GSL_CONST_NUM_ATTO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "atto");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_ATTO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE zepto       = GSL_CONST_NUM_ZEPTO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "zepto");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_ZEPTO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

/**** #VARIABLE yocto       = GSL_CONST_NUM_YOCTO */
 ident = nxp_identifier_new_with_full_path(3,"gsl","physic", "yocto");
 nxp_built_in_variable_define(ident, el = nxp_element_real_new(GSL_CONST_NUM_YOCTO), context, NULL);
 NXP_ELEMENT_UNREF(el);
 nxp_identifier_unref(ident);

}
