/* -*- c -*- */
#include <gsl/gsl_sf_airy.h>
#include "nxp_kernel.h"
#include "gsl.h"

/*
 * DONE 
 */

static NxpElement *nxp_gsl_sf_airy_Ai(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Ai(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_Bi(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Bi(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_airy_Ai_scaled(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Ai_scaled(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_Bi_scaled(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Bi_scaled(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_airy_Ai_deriv(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Ai_deriv(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_Bi_deriv(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Bi_deriv(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_airy_Ai_deriv_scaled(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Ai_deriv_scaled(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_Bi_deriv_scaled(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_Bi_deriv_scaled(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,GSL_PREC_SINGLE);
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_airy_zero_Ai(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_zero_Ai(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_zero_Bi(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_zero_Bi(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_airy_zero_Ai_deriv(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_zero_Ai_deriv(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_airy_zero_Bi_deriv(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_airy_zero_Bi_deriv(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_airy_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"airy");
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "Ai");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Ai, NULL, nxp_gsl_sf_airy_Ai, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "Bi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Bi, NULL, nxp_gsl_sf_airy_Bi, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "scaledAi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Ai_scaled, NULL, nxp_gsl_sf_airy_Ai_scaled, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "scaledBi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Bi_scaled, NULL, nxp_gsl_sf_airy_Bi_scaled, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "derivativeAi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Ai_deriv, NULL, nxp_gsl_sf_airy_Ai_deriv, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "derivativeBi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Bi_deriv, NULL, nxp_gsl_sf_airy_Bi_deriv, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "scaledDerivativeAi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Ai_deriv_scaled, NULL, nxp_gsl_sf_airy_Ai_deriv_scaled, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "scaledDerivativeBi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_airy_Bi_deriv_scaled, NULL, nxp_gsl_sf_airy_Bi_deriv_scaled, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "zeroAi");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_airy_zero_Ai, NULL, nxp_gsl_sf_airy_zero_Ai, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "zeroBi");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_airy_zero_Bi, NULL, nxp_gsl_sf_airy_zero_Bi, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "zeroAiDerivative");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_airy_zero_Ai_deriv, NULL, nxp_gsl_sf_airy_zero_Ai_deriv, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","airy", "zeroBiDerivative");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_airy_zero_Bi_deriv, NULL, nxp_gsl_sf_airy_zero_Bi_deriv, context, NULL); nxp_identifier_unref(id);
}
