/* -*- c -*- */
#include <gsl/gsl_poly.h>
#include "nxp_kernel.h"
#include "gsl.h"
#include "types/vector.h"

/*
 * Status: done 
 */


static NxpElement *nxp_gsl_sf_fermi_dirac_m1(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_m1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_0(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_0(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_1(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_2(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_2(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_int(NxpElementInt *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_mhalf(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_mhalf(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_half(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_half(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_fermi_dirac_3half(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_3half(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_fermi_dirac_inc_0(NxpElementReal *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_fermi_dirac_inc_0(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_fermi_dirac_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"fermiDirac");
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac_m1");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_m1, NULL, nxp_gsl_sf_fermi_dirac_m1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_0, NULL, nxp_gsl_sf_fermi_dirac_0, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac1");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_1, NULL, nxp_gsl_sf_fermi_dirac_1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac2");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_2, NULL, nxp_gsl_sf_fermi_dirac_2, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac_n");
 nxp_bifunc_define(id, &nxp_prototype__INT_REAL, nxp_gsl_sf_fermi_dirac_int, NULL, nxp_gsl_sf_fermi_dirac_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac_mhalf");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_mhalf, NULL, nxp_gsl_sf_fermi_dirac_mhalf, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac_half");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_half, NULL, nxp_gsl_sf_fermi_dirac_half, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDirac_3half");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_fermi_dirac_3half, NULL, nxp_gsl_sf_fermi_dirac_3half, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","fermiDirac", "fermiDiracInc");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_sf_fermi_dirac_inc_0, NULL, nxp_gsl_sf_fermi_dirac_inc_0, context, NULL); nxp_identifier_unref(id);
}
