/* -*- c -*- */
#include <gsl/gsl_sf_hyperg.h>
#include "nxp_kernel.h"
#include "gsl.h"


static NxpElement *nxp_gsl_sf_hyperg_0F1(NxpElementReal *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_0F1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_hyperg_1F1_int(NxpElementInt *arg1 ,NxpElementInt *arg2 ,NxpElementReal *arg3, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_1F1_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg2), error) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_hyperg_1F1(NxpElementReal *arg1 ,NxpElementReal *arg2 ,NxpElementReal *arg3, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_1F1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_hyperg_U_int(NxpElementInt *arg1 ,NxpElementInt *arg2 ,NxpElementReal *arg3, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_U_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg2), error) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_hyperg_U(NxpElementReal *arg1 ,NxpElementReal *arg2 ,NxpElementReal *arg3, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_U(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_hyperg_2F1(NxpElementReal *arg1 ,NxpElementReal *arg2 ,NxpElementReal *arg3 ,NxpElementReal *arg4, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_2F1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg4)));
	GSL_RETURN(nxp_element_real_new(ret));
}


NxpElement     *
nxp_gsl_sf_hyperg_2F1_conj(NxpElementComplex * A,
			   NxpElementReal * C, NxpElementReal * X, ETC)
{
    nxp_real_t      r;
    r = gsl_sf_hyperg_2F1_conj(CXREAL(nxp_element_complex_get_value(A)), CXIMAG(nxp_element_complex_get_value(A)),
			       nxp_element_r_get_value_as_double(C), nxp_element_r_get_value_as_double(X));
    GSL_RETURN(nxp_element_real_new(r));
}


static NxpElement *nxp_gsl_sf_hyperg_2F1_renorm(NxpElementReal *arg1 ,NxpElementReal *arg2 ,NxpElementReal *arg3 ,NxpElementReal *arg4, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_2F1_renorm(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg4)));
	GSL_RETURN(nxp_element_real_new(ret));
}

NxpElement     *
nxp_gsl_sf_hyperg_2F1_conj_renorm(NxpElementComplex * A,
				  NxpElementReal * C,
				  NxpElementReal * X, ETC)
{
    nxp_real_t      r;
    r = gsl_sf_hyperg_2F1_conj_renorm(CXREAL(nxp_element_complex_get_value(A)), CXIMAG(nxp_element_complex_get_value(A)),
				      nxp_element_r_get_value_as_double(C), nxp_element_r_get_value_as_double(X));
    GSL_RETURN(nxp_element_real_new(r));
}
static NxpElement *nxp_gsl_sf_hyperg_2F0(NxpElementReal *arg1 ,NxpElementReal *arg2 ,NxpElementReal *arg3, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hyperg_2F0(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg3)));
	GSL_RETURN(nxp_element_real_new(ret));
}



void
nxp_gsl_sf_hyperg_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"hyperg");
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h0F1");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_sf_hyperg_0F1, NULL, nxp_gsl_sf_hyperg_0F1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h1F1");
 nxp_bifunc_define(id, &nxp_prototype__INT_INT_REAL, nxp_gsl_sf_hyperg_1F1_int, NULL, nxp_gsl_sf_hyperg_1F1_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h1F1");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL_REAL, nxp_gsl_sf_hyperg_1F1, NULL, nxp_gsl_sf_hyperg_1F1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "U");
 nxp_bifunc_define(id, &nxp_prototype__INT_INT_REAL, nxp_gsl_sf_hyperg_U_int, NULL, nxp_gsl_sf_hyperg_U_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "U");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL_REAL, nxp_gsl_sf_hyperg_U, NULL, nxp_gsl_sf_hyperg_U, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h2F1");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL_REAL_REAL, nxp_gsl_sf_hyperg_2F1, NULL, nxp_gsl_sf_hyperg_2F1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h2F1");
 nxp_bifunc_define(id, &nxp_prototype__COMPLEX_REAL_REAL, nxp_gsl_sf_hyperg_2F1_conj, NULL, nxp_gsl_sf_hyperg_2F1_conj, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h2F1_renorm");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL_REAL_REAL, nxp_gsl_sf_hyperg_2F1_renorm, NULL, nxp_gsl_sf_hyperg_2F1_renorm, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h2F1_renorm");
 nxp_bifunc_define(id, &nxp_prototype__COMPLEX_REAL_REAL, nxp_gsl_sf_hyperg_2F1_conj_renorm, NULL, nxp_gsl_sf_hyperg_2F1_conj_renorm, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","hyperg", "h2F0");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL_REAL, nxp_gsl_sf_hyperg_2F0, NULL, nxp_gsl_sf_hyperg_2F0, context, NULL); nxp_identifier_unref(id);
}
