/* -*- c -*- */
#include <gsl/gsl_sf_psi.h>
#include "nxp_kernel.h"
#include "gsl.h"


static NxpElement *nxp_gsl_sf_psi_int(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_psi_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_psi(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_psi(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_psi_1piy(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_psi_1piy(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_psi_1_int(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_psi_1_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}


static NxpElement *nxp_gsl_sf_psi_n(NxpElementInt *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_psi_n(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_psi_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"psi");
id = nxp_identifier_new_with_full_path(3,"gsl","psi", "psi");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_psi_int, NULL, nxp_gsl_sf_psi_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","psi", "psi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_psi, NULL, nxp_gsl_sf_psi, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","psi", "psi1piy");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_psi_1piy, NULL, nxp_gsl_sf_psi_1piy, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","psi", "psi1");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_psi_1_int, NULL, nxp_gsl_sf_psi_1_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","psi", "psiN");
 nxp_bifunc_define(id, &nxp_prototype__INT_REAL, nxp_gsl_sf_psi_n, NULL, nxp_gsl_sf_psi_n, context, NULL); nxp_identifier_unref(id);
}
