/* -*- c -*- */
#include <gsl/gsl_sf_zeta.h>
#include "nxp_kernel.h"
#include "gsl.h"


static NxpElement *nxp_gsl_sf_zeta_int(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_zeta_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_zeta(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_zeta(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_hzeta(NxpElementReal *arg1 ,NxpElementReal *arg2, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_hzeta(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)) ,nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg2)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_eta_int(NxpElementInt *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_eta_int(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_eta(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_eta(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_zeta_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"zeta");
id = nxp_identifier_new_with_full_path(3,"gsl","zeta", "zeta");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_zeta_int, NULL, nxp_gsl_sf_zeta_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","zeta", "zeta");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_zeta, NULL, nxp_gsl_sf_zeta, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","zeta", "hzeta");
 nxp_bifunc_define(id, &nxp_prototype__REAL_REAL, nxp_gsl_sf_hzeta, NULL, nxp_gsl_sf_hzeta, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","zeta", "eta");
 nxp_bifunc_define(id, &nxp_prototype__INT, nxp_gsl_sf_eta_int, NULL, nxp_gsl_sf_eta_int, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","zeta", "eta");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_eta, NULL, nxp_gsl_sf_eta, context, NULL); nxp_identifier_unref(id);
}
