// -*- Mode: c; c-file-style: "bsd" -*-
#include <stdio.h>
#include "plugins.h"

static GSList *nxp_parser_funcs[5]; // Int, Real, Complex, String, Frac

void nxp_parser_init(void)
{
}


static gint sort_func(NxpAtomParser *a,
		      NxpAtomParser *b) 
{
    return a->priority - b->priority;
}

void nxp_parser_register_func(NxpAtomClass klass,
			     NxpAtomParserFunc function,
			     int priority)
{
    NxpAtomParser *parser;

    g_assert(klass >= NXP_ATOM_CLASS_INT && klass <= NXP_ATOM_CLASS_FRAC);

    parser = g_new(NxpAtomParser,1);
    parser->func = function;
    parser->priority = priority;

    nxp_parser_funcs[klass] = g_slist_insert_sorted(nxp_parser_funcs[klass],
						    parser,
						    (GCompareFunc)sort_func);
  
}

NxpElement* nxp_parser_try_parse      (NxpAtomClass      klass, 
				       const gchar*      string)
{
    GSList* l;
    NxpElement* result;

    g_assert(klass >= NXP_ATOM_CLASS_INT && klass <= NXP_ATOM_CLASS_FRAC);

    for(l = nxp_parser_funcs[klass]; l; l = g_slist_next(l)) {
	result = ((NxpAtomParser*)l->data)->func(string);
	if (result) return result;
    }

    return NULL;
}
